Loading...
Searching...
No Matches
juce::universal_midi_packets::ToBytestreamConverter Struct Reference

`#include <juce_UMPConverters.h>`

## Public Member Functions

| ToBytestreamConverter (int storageSize)
template<typename Fn>
void | convert (const MidiMessage &m, Fn &&fn)
template<typename Fn>
void | convert (const View &v, double time, Fn &&fn)
void | reset ()

## Public Attributes

Midi1ToBytestreamTranslator | translator

## Detailed Description

Allows conversion from bytestream- or Universal MIDI Packet-formatted messages to bytestream format.

Definition at line 159 of file juce_UMPConverters.h.

## Constructor & Destructor Documentation

## ToBytestreamConverter()

juce::universal_midi_packets::ToBytestreamConverter::ToBytestreamConverter | ( | int | storageSize | ) |

inline explicit

Definition at line 161 of file juce_UMPConverters.h.

## Member Function Documentation

## convert() [1/2]

template<typename Fn>

void juce::universal_midi_packets::ToBytestreamConverter::convert | ( | const MidiMessage & | m,
|  | Fn && | fn )

inline

Definition at line 165 of file juce_UMPConverters.h.

## convert() [2/2]

template<typename Fn>

void juce::universal_midi_packets::ToBytestreamConverter::convert | ( | const View & | v,
|  | double | time,
|  | Fn && | fn )

inline

Definition at line 171 of file juce_UMPConverters.h.

## reset()

void juce::universal_midi_packets::ToBytestreamConverter::reset | ( |  | ) |

inline

Definition at line 179 of file juce_UMPConverters.h.

## Member Data Documentation

## translator

Midi1ToBytestreamTranslator juce::universal_midi_packets::ToBytestreamConverter::translator

Definition at line 181 of file juce_UMPConverters.h.

The documentation for this struct was generated from the following file:

- juce_UMPConverters.h